# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::IMutex Class Reference

An interface to implement simple platform-independent mutexes used to protect critical sections. More...

`#include <IMutex.hpp>`

List of all members.

## Public Member Functions

virtual void | lock ()=0
| Locks the mutex.
virtual void | unlock ()=0
| Unlocks the mutex.
virtual int | isLocked () const =0
| Returns 1 if locked, 0 if non locked, -1 if unknown.

## Detailed Description

An interface to implement simple platform-independent mutexes used to protect critical sections.

/sa vl::Object::setRefCountMutex(), vl::Log::setLogMutex().

Definition at line 44 of file IMutex.hpp.

## Member Function Documentation

virtual void vl::IMutex::lock | ( | ) | `[pure virtual]`

Locks the mutex.

Referenced by vl::Object::decReference(), and vl::ScopedMutex::ScopedMutex().

virtual void vl::IMutex::unlock | ( | ) | `[pure virtual]`

Unlocks the mutex.

Referenced by vl::Object::decReference(), and vl::ScopedMutex::~ScopedMutex().

virtual int vl::IMutex::isLocked | ( | ) | const`[pure virtual]`

Returns 1 if locked, 0 if non locked, -1 if unknown.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/IMutex.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:05.
Permission is granted to use this page to write and publish articles regarding Visualization Library.